com.corticon.rulesemf.canonicalvocabularymodel

## Interface EntityMapping

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface EntityMapping
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Entity Mapping'.

  The following features are supported:

  - `Extended Table`
  - `Vocabulary Entity`
  See Also:
    `CanonicalvocabularymodelPackage.getEntityMapping()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyString` | `getExtendedTable()` Returns the value of the 'Extended Table' containment reference
    `VocabularyString` | `getVocabularyEntity()` Returns the value of the 'Vocabulary Entity' containment reference
    `void` | `setExtendedTable(VocabularyString value)` Sets the value of the '`Extended Table`' containment reference
    `void` | `setVocabularyEntity(VocabularyString value)` Sets the value of the '`Vocabulary Entity`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExtendedTable

          VocabularyString getExtendedTable()

      Returns the value of the 'Extended Table' containment reference.

      If the meaning of the 'Extended Table' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Table' containment reference.
      See Also:
        `setExtendedTable(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityMapping_ExtendedTable()`

    - #### setExtendedTable

          void setExtendedTable(VocabularyString value)

      Sets the value of the '`Extended Table`' containment reference.
      Parameters:
        `value` - the new value of the 'Extended Table' containment reference.
      See Also:
        `getExtendedTable()`

    - #### getVocabularyEntity

          VocabularyString getVocabularyEntity()

      Returns the value of the 'Vocabulary Entity' containment reference.

      If the meaning of the 'Vocabulary Entity' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Entity' containment reference.
      See Also:
        `setVocabularyEntity(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityMapping_VocabularyEntity()`

    - #### setVocabularyEntity

          void setVocabularyEntity(VocabularyString value)

      Sets the value of the '`Vocabulary Entity`' containment reference.
      Parameters:
        `value` - the new value of the 'Vocabulary Entity' containment reference.
      See Also:
        `getVocabularyEntity()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.